package com.hw.ems.base.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 计量仪表信息对象 base_meter_info
 *
 * @author YinQ
 * @date 2023-03-31
 */
public class BaseMeterInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 园区编号 */
    private Long deptId;

    /** 园区名称 */
    @Excel(name = "园区名称")
    private String deptName;

    /** 楼栋号 */
    @Excel(name = "楼栋号")
    private String buildNumber;

    /** 楼层号 */
    @Excel(name = "楼层号")
    private String floorNumber;

    /** 房间号(计量对象) */
    @Excel(name = "房间号(计量对象)")
    private String roomNumber;

    /** 物理编号 */
    @Excel(name = "物理编号")
    private String physicalNumber;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 精度 */
    @Excel(name = "精度")
    private BigDecimal precisionValue;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date produceDate;

    /** 仪表编号 */
    @Excel(name = "仪表编号")
    private String meterId;

    /** 仪表型号 */
    @Excel(name = "仪表型号")
    private String model;

    /** 能源类型 */
    @Excel(name = "能源类型")
    private Long meterEnergyType;

    /** 仪表地址 */
    @Excel(name = "仪表地址")
    private String meterAdress;

    /** 仪表状态 */
    @Excel(name = "仪表状态")
    private Long meterStatus;

    /** CT变化 */
    @Excel(name = "CT变化")
    private String ctChange;

    /** 终端编号 */
    @Excel(name = "终端编号")
    private String collectId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setBuildNumber(String buildNumber)
    {
        this.buildNumber = buildNumber;
    }

    public String getBuildNumber()
    {
        return buildNumber;
    }
    public void setFloorNumber(String floorNumber)
    {
        this.floorNumber = floorNumber;
    }

    public String getFloorNumber()
    {
        return floorNumber;
    }
    public void setRoomNumber(String roomNumber)
    {
        this.roomNumber = roomNumber;
    }

    public String getRoomNumber()
    {
        return roomNumber;
    }
    public void setPhysicalNumber(String physicalNumber)
    {
        this.physicalNumber = physicalNumber;
    }

    public String getPhysicalNumber()
    {
        return physicalNumber;
    }
    public void setManufacturer(String manufacturer)
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer()
    {
        return manufacturer;
    }
    public void setPrecisionValue(BigDecimal precisionValue)
    {
        this.precisionValue = precisionValue;
    }

    public BigDecimal getPrecisionValue()
    {
        return precisionValue;
    }
    public void setProduceDate(Date produceDate)
    {
        this.produceDate = produceDate;
    }

    public Date getProduceDate()
    {
        return produceDate;
    }
    public void setMeterId(String meterId)
    {
        this.meterId = meterId;
    }

    public String getMeterId()
    {
        return meterId;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setMeterEnergyType(Long meterEnergyType)
    {
        this.meterEnergyType = meterEnergyType;
    }

    public Long getMeterEnergyType()
    {
        return meterEnergyType;
    }
    public void setMeterAdress(String meterAdress)
    {
        this.meterAdress = meterAdress;
    }

    public String getMeterAdress()
    {
        return meterAdress;
    }
    public void setMeterStatus(Long meterStatus)
    {
        this.meterStatus = meterStatus;
    }

    public Long getMeterStatus()
    {
        return meterStatus;
    }
    public void setCtChange(String ctChange)
    {
        this.ctChange = ctChange;
    }

    public String getCtChange()
    {
        return ctChange;
    }
    public void setCollectId(String collectId)
    {
        this.collectId = collectId;
    }

    public String getCollectId()
    {
        return collectId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("buildNumber", getBuildNumber())
            .append("floorNumber", getFloorNumber())
            .append("roomNumber", getRoomNumber())
            .append("physicalNumber", getPhysicalNumber())
            .append("manufacturer", getManufacturer())
            .append("precisionValue", getPrecisionValue())
            .append("produceDate", getProduceDate())
            .append("meterId", getMeterId())
            .append("model", getModel())
            .append("meterEnergyType", getMeterEnergyType())
            .append("meterAdress", getMeterAdress())
            .append("meterStatus", getMeterStatus())
            .append("ctChange", getCtChange())
            .append("collectId", getCollectId())
            .append("remark", getRemark())
            .toString();
    }
}
